<?php

class DonationPanel extends Plugin 
		{
private $openwindows;

	function doDonation($command) 
		{
	if ($this->existsPlayerData($command['author'], 'window')) 
		{
      		$window = $this->getPlayerData($command['author'], 'window');
      		$window->maximize();
    		} 
	else 
		{
		$window = $this->createWindowToPlayerFramework('Donation Panel',
                                                     		0.58,
                                                     		0.46,
                                                     		$command['author']);
		$this->storePlayerData($command['author'], 'window', $window);
		}

		$head = '<line><cell bgcolor="cccf" width="0.58"><text halign="center">$000Click to donate :)</text></cell></line>';
		$body .= '<line height="0.01"><cell width="0.58"></cell></line><line height="0.04"><cell width="0.58"><text action="{name:dodonate50,param:0}" halign="center">Donate 50 coppers</text></cell></line>';
		$body .= '<line height="0.04"><cell width="0.58"><text action="{name:dodonate100,param:0}" halign="center">Donate 100 coppers</text></cell></line>';
		$body .= '<line height="0.04"><cell width="0.58"><text action="{name:dodonate250,param:0}" halign="center">Donate 250 coppers</text></cell></line>';
		$body .= '<line height="0.04"><cell width="0.58"><text action="{name:dodonate500,param:0}" halign="center">Donate 500 coppers</text></cell></line>';
		$body .= '<line height="0.04"><cell width="0.58"><text action="{name:dodonate750,param:0}" halign="center">Donate 750 coppers</text></cell></line>';
		$body .= '<line height="0.04"><cell width="0.58"><text action="{name:dodonate1000,param:0}" halign="center">Donate 1000 coppers</text></cell></line>';
		$body .= '<line height="0.04"><cell width="0.58"><text action="{name:dodonate2500,param:0}" halign="center">Donate 2500 coppers</text></cell></line>';
		$body .= '<line height="0.04"><cell width="0.58"><text action="{name:dodonate5000,param:0}" halign="center">Donate 5000 coppers</text></cell></line>';
    		$window->setContent($head.$body);
    		$window->addCallback('close', 'closing');
		$window->addCallback('dodonate50', 'donate50');
		$window->addCallback('dodonate100', 'donate100');
		$window->addCallback('dodonate250', 'donate250');
		$window->addCallback('dodonate500', 'donate500');
		$window->addCallback('dodonate750', 'donate750');
		$window->addCallback('dodonate1000', 'donate1000');
		$window->addCallback('dodonate2500', 'donate2500');
		$window->addCallback('dodonate5000', 'donate5000');
		$command['author']->data['w_players'] = $window;
		}
  
	function closing($param, $window, $player) 
		{
    		$this->removePlayerData($player, 'window');
  		}
	
	function donate50($param, $window, $player) 
		{
        	$this->Aseco->playerChat(array('author' => $player, 2 => '/donate 50'));
		$window->close();
  		}

	function donate100($param, $window, $player) 
		{
        	$this->Aseco->playerChat(array('author' => $player, 2 => '/donate 100'));
		$window->close();
  		}

	function donate250($param, $window, $player) 
		{
        	$this->Aseco->playerChat(array('author' => $player, 2 => '/donate 250'));
		$window->close();
  		}

	function donate500($param, $window, $player) 
		{
        	$this->Aseco->playerChat(array('author' => $player, 2 => '/donate 500'));
		$window->close();
  		}

	function donate750($param, $window, $player) 
		{
        	$this->Aseco->playerChat(array('author' => $player, 2 => '/donate 750'));
		$window->close();
  		}

	function donate1000($param, $window, $player) 
		{
        	$this->Aseco->playerChat(array('author' => $player, 2 => '/donate 1000'));
		$window->close();
  		}

	function donate2500($param, $window, $player) 
		{
        	$this->Aseco->playerChat(array('author' => $player, 2 => '/donate 2500'));
		$window->close();
  		}

	function donate5000($param, $window, $player) 
		{
        	$this->Aseco->playerChat(array('author' => $player, 2 => '/donate 5000'));
		$window->close();
  		}
	
	function showDonationToPlayer($player) 
		{
		$this->doDonation(array('author' => $player));
		}

	function init() 
		{
		$statusbar = $this->Aseco->getPlugin('Statusbar');
	if ($statusbar) 
		{
		$statusbar->addButton('Donation', $this, 'showDonationToPlayer', 0.11);
		}
	}

}

$_PLUGIN = new DonationPanel();
$_PLUGIN->setAuthor('CavalierDeVache');
$_PLUGIN->setVersion(1.1);
$_PLUGIN->addDependence("Donation", 1.0, null);
$_PLUGIN->setDescription('Provides a graphical donation panel.');
$_PLUGIN->addChatCommand('donation', 'doDonation', 'A graphical donation panel.');
$_PLUGIN->addEvent('onSync', 'init');
$_PLUGIN->setWebsite('http://www.tm-slowpokes.com');
?>
